Skip to content

translateCompanyPeriodSeries

WRITE

Per-bucket currency translation for a period series.

POST /api/v1/accounting/translateCompanyPeriodSeries
curl -X POST '<your-host>/api/v1/accounting/translateCompanyPeriodSeries' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "targetCurrency": "string",
    "buckets": [],
    "series": []
  }'
Response
{
  "byBucket": {
    "…": {
      "balances": [
        {
          "accountId": "string",
          "localBalance": 0,
          "exchangeRate": 0,
          "translatedBalance": 0
        }
      ],
      "cta": 0
    }
  },
  "error": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "targetCurrency": {
      "type": "string"
    },
    "buckets": {
      "type": "array",
      "items": {}
    },
    "series": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "consolidatedRate": {
            "type": [
              "string",
              "null"
            ]
          },
          "isGroup": {
            "type": [
              "boolean",
              "null"
            ]
          },
          "class": {
            "type": [
              "string",
              "null"
            ]
          },
          "periods": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "properties": {
                "netChange": {
                  "type": "number"
                },
                "balanceAtDate": {
                  "type": "number"
                },
                "translatedBalance": {
                  "type": "number"
                },
                "translatedNetChange": {
                  "type": "number"
                },
                "exchangeRate": {
                  "type": "number"
                }
              },
              "required": [
                "netChange",
                "balanceAtDate"
              ]
            }
          }
        },
        "required": [
          "id",
          "consolidatedRate",
          "isGroup",
          "class",
          "periods"
        ]
      }
    }
  },
  "required": [
    "targetCurrency",
    "buckets",
    "series"
  ]
}